install_新濠天地网 install_新濠天地网

新濠天地网

install_kibana

7月以前  |  官网数:81 次  |    

#!/bin/bash
# auth:kaliarch
# version:v新濠天地网 0
# func:kibana 6.0.1/6.新濠天地网 4/6.3.1 安装
# 定义安装目录、及日志信息
. /etc/init.d/functions
[ $(id -u) != "0" ] && echo "Error: You must be root to run this script" && exit 1
export PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
download_path=/tmp/tmpdir/
install_log_name=install_kibana.log
env_file=/etc/profile.d/kibana.sh
install_log_path=/var/log/appinstall/
install_path=/usr/local/
software_config_file=${install_path}kibana/config/kibana.yml
clear
echo "##########################################"
echo "# #"
echo "# 安装 kibana 6.0.1/6.新濠天地网 4/6.3.1 #"
echo "# #"
echo "##########################################"
echo "1: Install kibana 6.0.1"
echo "2: Install kibana 6.新濠天地网 4"
echo "3: Install kibana 6.3.1"
echo "4: EXIT"
# 选择安装软件版本
read -p "Please input your choice:" softversion
if [ "${softversion}" == "1" ];then
URL="https://anchnet-script.oss-cn-shanghai.aliyuncs.com/kibana/kibana-6.0.1-linux-x86_64.tar.gz"
elif [ "${softversion}" == "2" ];then
URL="https://anchnet-script.oss-cn-shanghai.aliyuncs.com/kibana/kibana-6.新濠天地网 4-linux-x86_64.tar.gz"
elif [ "${softversion}" == "3" ];then
URL="https://anchnet-script.oss-cn-shanghai.aliyuncs.com/kibana/kibana-6.3.1-linux-x86_64.tar.gz"
elif [ "${softversion}" == "4" ];then
echo "you choce channel!"
exit 1;
else
echo "input Error! Place input{1|2|3|4}"
exit 0;
fi
# 传入app,格式化app输出,可以传入多个参数,用空格隔开
output_msg() {
for msg in $*;do
action $msg /bin/true
done
}
# 判断命令是否存在,第一个参数 $1 为判断的命令,第二个参数为提供该命令的yum 软件包名称
check_yum_command() {
output_msg "命令检查:$1"
hash $1 >/dev/null 2>&1
if [ $? -eq 0 ];then
echo "`date +%F' '%H:%M:%S` check command $1 ">>${install_log_path}${install_log_name} && return 0
else
yum -y install $2 >/dev/null 2>&1
# hash $Command || { echo "`date +%F' '%H:%M:%S` $2 is installed fail">>${install_log_path}${install_log_name} ; exit 1 }
fi
}
# 判断目录是否存在,传入目录绝对路径,可以传入多个目录
check_dir() {
output_msg "目录检查"
for dirname in $*;do
[ -d $dirname ] || mkdir -p $dirname >/dev/null 2>&1
echo "`date +%F' '%H:%M:%S` $dirname check success!" >> ${install_log_path}${install_log_name}
done
}
# 下载新濠天地并解压至安装目录,传入url链接地址
download_file() {
output_msg "下载源码包"
mkdir -p $download_path
for file in $*;do
wget $file -c -P $download_path &> /dev/null
if [ $? -eq 0 ];then
echo "`date +%F' '%H:%M:%S` $file download success!">>${install_log_path}${install_log_name}
else
echo "`date +%F' '%H:%M:%s` $file download fail!">>${install_log_path}${install_log_name} && exit 1
fi
done
}
# 解压新濠天地可以传入多个压缩新濠天地绝对路径,用空格隔开,解压至安装目录
extract_file() {
output_msg "解压源码"
for file in $*;do
if [ "${file##*.}" == "gz" ];then
tar -zxf $file -C $install_path && echo "`date +%F' '%H:%M:%S` $file extrac success!,path is $install_path">>${install_log_path}${install_log_name}
elif [ "${file##*.}" == "zip" ];then
unzip -q $file -d $install_path && echo "`date +%F' '%H:%M:%S` $file extrac success!,path is $install_path">>${install_log_path}${install_log_name}
else
echo "`date +%F' '%H:%M:%S` $file type error, extrac fail!">>${install_log_path}${install_log_name} && exit 1
fi
done
}
# 配置环境新濠天地第一个参数为添加环境新濠天地的绝对路径
config_env() {
output_msg "环境新濠天地配置"
echo "export PATH=\$PATH:$1" >${env_file}
source ${env_file} && echo "`date +%F' '%H:%M:%S` 软件安装完成!">> ${install_log_path}${install_log_name}
}
# 添加配置新濠天地
add_config() {
cat> $1 <<EOF
server.port: 5601
server.host: "0.0.0.0"
elasticsearch.url: "http://127.0.0.1:9200"
EOF
}
main() {
check_dir $install_log_path $install_path
check_yum_command wget wget
download_file $URL
software_name=$(echo $URL|awk -F'/' '{print $NF}'|awk -F'.tar.gz' '{print $1}')
for filename in `ls $download_path`;do
extract_file ${download_path}$filename
done
rm -fr ${download_path}
ln -s ${install_path}$software_name ${install_path}kibana
add_config ${software_config_file}
config_env ${install_path}kibana/bin
}
main

相关新濠天地:


SSH 登录失败:Host key verification failed

PHP分页新濠天地制作新濠天地讲解

将二进制数据转为16进制以便新濠天地

PHP自定义新濠天地获取搜索引擎来源关键字的方法

获取IMSI

Java生成UUID

在Zeus Web Server中安装PHP语言支持

让你成为最历害的git提交人

获取IMEI

再谈PHP中单双引号的区别详解

Python 2与Python 3版本和编码的对比

PHP实现简单爬虫的方法

php+ajax+json 详解及实例app

wget使用技巧

php封装的page分页类完整实例

php实现数组中索引关联数据转换成json新濠天地的方法

php数组合并array_merge()新濠天地使用注意事项

桌面中心(一)创建数据库

PHP设计模式之工厂模式与单例模式

Yii2汉字转拼音类的实例app
qy77千亿国际富爸爸娱乐官网qy77千亿国际